unit psdtest;

{$mode objfpc}{$H+}

interface

procedure PSD2PNG(Filename: PChar; Buf: PPointer; Len: PInteger; Errno: PInteger);
  cdecl; external Name 'PSD2PNG';
procedure Cfree(P: Pointer); cdecl; external Name 'free';

implementation

uses
  Math;

{$linklib libpsdtest.a}
{$linklib libntdll.a}
{$linklib libws2_32.a}
{$linklib libadvapi32.a}
{$linklib libkernel32.a}
{$linklib libmsvcrt.a}

procedure _rt0_amd64_windows_lib(); cdecl; external;

initialization
  SetExceptionMask([exInvalidOp, exPrecision]);
  _rt0_amd64_windows_lib();

end.
